Skip to main content
GET
/
v1
/
account
/
funding
Get Funding Charges
curl --request GET \
  --url https://api.perpetuals.polymarket.com/v1/account/funding \
  --header 'POLYMARKET-PROXY: <api-key>' \
  --header 'POLYMARKET-SECRET: <api-key>'
{
  "data": [
    {
      "instrument_id": 1,
      "size": "10.00",
      "funding_rate": "0.0001",
      "funding_asset": "USDC",
      "funding": "1.00",
      "timestamp": 1767225600000
    }
  ],
  "more": true
}
Request Weight: 10

Authorizations

POLYMARKET-PROXY
string
header
required

Proxy address

POLYMARKET-SECRET
string
header
required

Correponding proxy secret

Query Parameters

instrument_id
integer

Instrument ID

start_timestamp
integer

Start timestamp in milliseconds

Example:

1767225600000

end_timestamp
integer

End timestamp in milliseconds

Example:

1767229200000

Response

Account funding history response.

data
object[]
required
more
boolean
required

More data available